TestHtmlTag (Struts Taglib 1.3.10 Test API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class TestHtmlTag

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.struts.taglib.html.TestHtmlTag

All Implemented Interfaces:
  junit.framework.Test

    public class TestHtmlTag

extends junit.framework.TestCase

Unit tests for the HtmlTag.

Constructor Summary
`TestHtmlTag(String theName)` Defines the testcase name for JUnit.

Method Summary
`static void` | `main(String[] theArgs)` Start the tests.
`void` | `setUp()` Set up mock objects.
`static junit.framework.Test` | `suite()`
`void` | `testInvalidCountry()` Test an invalid "country"
`void` | `testInvalidLanguage()` Test an invalid "language"
`void` | `testValidLangFalse()` Test the "lang" attribute with valid characters.
`void` | `testValidLangTrue()` Test the "lang" attribute with valid characters.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestHtmlTag

    public TestHtmlTag(String theName)

  Defines the testcase name for JUnit.

  Parameters:
    `theName` - the testcase's name.

Method Detail

### main

    public static void main(String[] theArgs)

  Start the tests.

  Parameters:
    `theArgs` - the arguments. Not used

### suite

    public static junit.framework.Test suite()

  Returns:
    a test suite (`TestSuite`) that includes all methods starting with "test"

### setUp

    public void setUp()

  Set up mock objects.

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### testValidLangTrue

    public void testValidLangTrue()

  Test the "lang" attribute with valid characters.

### testValidLangFalse

    public void testValidLangFalse()

  Test the "lang" attribute with valid characters.

### testInvalidLanguage

    public void testInvalidLanguage()

  Test an invalid "language"

### testInvalidCountry

    public void testInvalidCountry()

  Test an invalid "country"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.